Skip to Content
avatar image
Former Member

SAP Netweaver Developer Studio and MDK

Hi,

I don 't know whether this is the right forum to post this problem in, but I have no idea where else I can do it.

We are currently developing our own customized MAM, based on MI 2.5, with an old Netweaver Developer Studio version (based on Eclipse 2.X).

Yesterday however I did find a Netweaver Developer Studio (NWDS) version based on Eclipse 3.3. It's version number is 7.1 (I think this is the most recent version). So I did install this one and I 've downloaded all plugins that SAP is offering for it after installation.

I 've also downloaded MDK for NWDS 7.0, cause I couldn 't find one for version 7.1, and I 've putted the included plugins and features into the NWDS IDE (Eclipse) folder.

Then I've made a CVS repository to our CVS server in NWDS, and I 've successfully checked out our MAM project. So far no problems.

I 've changed some settings in NWDS in order to let it use JDK 1.4 instead of 1.6 for MAM compatibility reasons. I 've also added some jar's to the class path that are needed to compile the project. Afterward I didn't get any compile error anymore, so far so good.

Then I decided to try to export the project to a war file via the MDK plugin. And here it went wrong. When exporting, first of all, the compiled java files are not included into the war file as far as I can see, and so when extracting the WAR file in the SAP Mobile Infrastructure folder, I don 't get the updated class files in it.

I 've also noticed that there is a folder created in NWDS, called $JSP, with nothing in it. I 'm not sure, but I thought in the previous version the compiled JSP files were stored here. Now it stays empty.

Then I 've tried to run the MAM via NWDS, so I've created a launch point exactly the same as in the previous version. But when launching this launch point, I get the following error:

An internal error occurred during: "Launching MAM25_CONFIG".

org.eclipse.jdt.internal.launching.LaunchingMessages.getString(Ljava/lang/String;)Ljava/lang/String;

Can anyone help me further with this? I would like to use this new MWDS version, cause Eclipse 3.X has many improvements over Eclipse 2.X.

If it can help you, I can send an overview of used software versions and Eclipse settings I 've made.

Thanks a lot!

ps: I can probably not answer before Monday.

Best regards,

Diederik

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

2 Answers

  • Mar 10, 2008 at 02:45 PM

    Diederik,

    I am not sure regarding the launchpoint error. But I have observed that the .war does not get updated with the new class files. To resolve this, what you can do is while exporting, provide a different name from current project name.

    For eg: If project name is MAM2.5 export the new .war as MAM2.5_V1. Then open the .war file with WinRAR or Winzip and remove the older jar i.e MAM2.5.jar from WEN-INF/lib folder.

    There should be a jar file called MAM2.5_V1.jar in same location which contains updated classes.

    Save the changes to your war file, deploy this .war and check your application.

    Hope this helps.

    Chintan

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member Former Member

      Hi Oliver,

      I 've used the same plugin versions in both the old NWDS (version 2.X I guess) and in the new NWDS (7.1). It works in the old version but not in the new version of NWDS, so I don 't think it 's really a problem with MDK (then I suppose it would also not work in the old NWDS).

      I 've also tried the newest MDK version (that I know; it is actually for NWDS 7.0 following the release notes) with the new NWDS and the old NWDS, but with the same symptoms: working in NWDS 2.X, but no JSP JAVA classes generation and compilation in NWDS 7.1.

      So maybe it 's just some wrong NWDS setting? Or maybe the plugin-interface of Eclipse 2.X differs from Eclipse 3.X in such a way that the MDK plugin doesn 't work completely?

      Anyone an idea?

      Best regards,

      Diederik

  • avatar image
    Former Member
    Mar 14, 2008 at 02:30 PM

    No one who can help me with the JSP¨Java classes generation and compilation?

    Is MDK still supported, maintained and developed by SAP? If so, how can I contact them?

    Best regards,

    Diederik

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      Hi Diederik,

      you have marked the thread as solved but no one have solved your problem.... have you find a solution?

      Best Regards,

      Alessandro.